# Package org.eclipse.ecf.core.security

Interface Summary
Callback
CallbackHandler
IConnectContext: A connect context for passing in information to the `IContainer.connect(org.eclipse.ecf.core.identity.ID, IConnectContext)` call.
IConnectHandlerPolicy: Connect policy typically implemented by servers
IConnectInitiatorPolicy: Policy handler for connect initiator (clients).
IContainerPolicy

Class Summary
BooleanCallback: Callback that handles Boolean types
ConnectContextFactory: Helper class for creating instances of IConnectContext
NameCallback: Callback that handles String types
ObjectCallback: Callback that handles arbitrary Objects
PassphraseCallback: Callback that handles passphrases
PasswordCallback: Callback that handles passwords

Exception Summary
UnsupportedCallbackException